"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_u_search2 = common_vendor.resolveComponent("u-search");
  _easycom_u_search2();
}
const _easycom_u_search = () => "../../node-modules/uview-plus/components/u-search/u-search.js";
if (!Math) {
  _easycom_u_search();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    var _a, _b;
    (_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$api;
    (_b = common_vendor.getCurrentInstance()) == null ? void 0 : _b.appContext.config.globalProperties.$config;
    const config = common_vendor.ref({ logoUrl: [] });
    const list = common_vendor.ref([]);
    const total = common_vendor.ref(0);
    const skip = common_vendor.ref(0);
    const limit = common_vendor.ref(6);
    const page = common_vendor.ref(0);
    const is_bottom = common_vendor.ref(false);
    common_vendor.ref(0);
    common_vendor.onShow(async () => {
      await searchConfig();
      await clearPage();
      await search();
    });
    common_vendor.onPullDownRefresh(async () => {
      await clearPage();
      await search();
      common_vendor.index.stopPullDownRefresh();
    });
    const searchConfig = async () => {
      config.value = common_vendor.index.getStorageSync("config");
    };
    const search = async () => {
      ({
        skip: skip.value,
        limit: limit.value,
        status: "0"
      });
    };
    const toChange = () => {
      common_vendor.index.navigateTo({
        url: `/pagesHome/type/index`
      });
    };
    const toView = (item) => {
      common_vendor.index.navigateTo({
        url: `/pagesHome/car/index?id=${item.id || item._id}`
      });
    };
    const toPage = () => {
      if (total.value > list.value.length) {
        common_vendor.index.showLoading({
          title: "加载中",
          mask: true
        });
        page.value = page.value + 1;
        skip.value = page.value * limit.value;
        search();
        common_vendor.index.hideLoading();
      } else
        is_bottom.value = true;
    };
    const clearPage = () => {
      list.value = [];
      skip.value = 0;
      limit.value = 6;
      page.value = 0;
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(toChange),
        b: common_vendor.p({
          shape: "square",
          ["show-action"]: false,
          placeholder: "品牌/车系"
        }),
        c: common_vendor.f(list.value, (item, index, i0) => {
          return {
            a: item.file && item.file.length > 0 ? item.file[0].url : "",
            b: common_vendor.t(item.series || "暂无"),
            c: common_vendor.t(item.year || "暂无"),
            d: common_vendor.t(item.style || "暂无"),
            e: common_vendor.t(item.total_money || "0"),
            f: index,
            g: common_vendor.o(($event) => toView(item), index)
          };
        }),
        d: is_bottom.value
      }, is_bottom.value ? {
        e: common_vendor.t(config.value.bottom_title || "没有更多了！")
      } : {}, {
        f: common_vendor.o(toPage)
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-4978fed5"], ["__file", "D:/project/赋强公证/notarization_applet/pages/home/index.vue"]]);
wx.createPage(MiniProgramPage);
